/* You can add global styles to this file, and also import other style files */

/* @import url('../node_modules/font-awesome/css/font-awesome.min.css'); */
@import url('../node_modules/@apple/sf-symbols-web/dist/sf-symbols-all.css');

:root {
    --bg-color: #fff;
    --border-color: #000;
    --primary-color: #000;
    --body-bg: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
    --msger-bg: #fff;
    --border: 2px solid #ddd;
    --left-msg-bg: #252525;
    --right-msg-bg: #e8c483;
    --dark: #34495E;
    --light: #ffffff;
    --success: #0ABF30;
    --error: #E24D4C;
    --warning: #FFA500;
    --info: #3498DB;
}

[data-theme="dark"] {
    --bg-color: #000;
    --border-color: #232323;
    --container-color: #1d1d1f;
    --primary-color: #fff;
    --bg-color-2: #363638;
}

html,
body {
    height: 100%;
    margin: 0px;
    overflow: hidden;
    background-color: var(--bg-color);
    color: var(--primary-color);

}

.engagertc-hero-app {
    height: 100%;
}

.engagertc-container {
    display: flex;
    align-items: stretch;
    height: 100%;
}

.left-input-pane,
.right-status-pane {
    flex: 1;
}

.icon-button .icon {
    display: none;
}

.status-content {
    padding: 0 10px;
}

.center-main-pane {
    flex: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

button:disabled {
    cursor: not-allowed;
    pointer-events: all !important;
}

.status-controls,
.media-controls {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background: var(--container-color);
    border: var(--border-color) solid;
}

.statusContainer {
    vertical-align: middle;
}

.button {
    background-color: var(--bg-color);
    color: var(--primary-color);
    padding: 10px 25px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 18px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 0.5rem;
    border-color: var(--bg-color);
}

.div-dropdown {
    display: inline-block;
    position: relative;
}

.div-dropdown-content {
    display: none;
    position: absolute;
    width: 100%;
    overflow: auto;
    box-shadow: 10px var(--border-color);
    border-radius: 0.5rem;
    background-color: var(--bg-color);
    border: 0.5px solid gray;
    z-index: 100;
}

.div-dropdown-content a {
    display: block;
    color: var(--primary-color);
    padding: 5px;
    text-decoration: none;
}

.div-dropdown-content a:hover {
    color: var(--primary-color);
    background-color: var(--container-color);
}

.dot {
    height: 12px;
    width: 12px;
    margin-right: 5px;
    background-color: #FFA500;
    border-radius: 50%;
    display: inline-block;
}

.status-controls__main-content,
.media-controls__main-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 15px 15px;
}

.status-controls>img,
.media-controls button>img {
    width: 30px
}

.media-controls__header {
    position: relative;
    -webkit-box-flex: 3;
    -ms-flex: 3 3 auto;
    flex: 3 3 auto;
    margin-right: 0rem
}

.media-controls__sub-heading {
    color: #abafb2
}

.media-controls__heading {
    font-weight: 600;
    font-size: 17px;
    margin-bottom: .25rem;
}

.main-wrapper {
    border: var(--border-color) solid;
    background-color: var(--border-color);
    overflow-y: auto;
    overflow-x: hidden;
}

.media-controls__sub-heading {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-weight: 400;
    font-size: 12px;
    opacity: 1%;
    line-height: 1
}

.media-controls__sub-heading .media-controls__sub-heading-icon {
    height: 1rem;
    width: 1rem;
    margin-right: .35rem;
    opacity: 1%
}

.tab-button {
    background-color: var(--bg-color);
    color: var(--primary-color);
    padding: 10px 25px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 18px;
    cursor: pointer;
    border-color: var(--bg-color);
}

.tab-active {
    outline: none;
    background-color: var(--border-color);
}

.media-controls__main-buttons {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    margin-left: 0;
    list-style: none;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto
}

.settings-container {
    display: -webkit-box;
    /* OLD - iOS 6-, Safari 3.1-6, BB7 */
    display: -ms-flexbox;
    /* TWEENER - IE 10 */
    display: -webkit-flex;
    /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
    display: flex;
    /* NEW, Spec - Firefox, Chrome, Opera */
    -webkit-box-pack: justify;
    -webkit-justify-content: space-around;
    -ms-flex-pack: justify;
    justify-content: space-around;
}

.settings-container>div {
    display: flex;
    justify-content: center;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    margin: 10px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--bg-color);
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: green;
}

input:focus+.slider {
    box-shadow: 0 0 1px var(var(--border-color));
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.input-labels {
    display: block;
}

.input-controls {
    width: 100%;
    padding: 10px;
    cursor: pointer;
    margin: 15px 0px;
    border-color: var(--border-color);
    background: var(--bg-color);
    color: var(--primary-color);
}

/* #wrapper {
    width: auto;
    display: inline-block;
    margin: 0 auto 0 auto;
    position: relative;
    top: 10px;
    padding: 12px 0 0px 0;
} */
table,
th,
td {
    border: 1px solid var(--bg-color);
    background: var(--border-color);
}

th {
    text-align: left;
}

.grid {
    min-height: 500px;
}

.textarea {
    width: 100%;
    height: 99%;
    min-height: 350px;
    background-color: var(--bg-color);
    color: var(--primary-color);
    overflow-x: scroll;
    white-space: pre;
    border-radius: 0.5rem;
    border-color: var(--border-color);
}

.textarea-md {
    width: 98%;
    height: 99%;
    min-height: 150px;
    background-color: var(--bg-color);
    color: var(--primary-color);
    overflow-x: scroll;
    white-space: pre;
    border-radius: 0.5rem;
    border-color: var(--border-color);
}

.key span {
    display: block;
    color: var(--primary-color);
    opacity: 0.4;
    text-align: center;
    font-size: 12px;
    text-transform: uppercase;
}

.nb {
    padding-top: 0px !important;
    padding-bottom: 5px;
    height: auto !important;
    background: var(--bg-color) !important;
    width: auto !important;
}

.key {
    color: var(--primary-color);
    background-color: var(--border-color);
    width: 100%;
    text-align: center;
    font-size: 25px;
    font-weight: bold;
    float: left;
    box-sizing: border-box;
    cursor: pointer;
    border: 1px solid gray;
    padding: 10px 0px;
}

.dropdown {
    height: 45px;
    /* min-width: 300px; */
    border-radius: 0.5rem;
}

.media-controls__button {
    position: relative;
    border-radius: 50%;
    border: 1px solid transparent;
    width: 3rem;
    height: 3rem;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    background: #0d0d0d;
    margin: 0px 4px;
    -webkit-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
    cursor: pointer;
}

.deselected {
    color: var(--border-color) !important;
    background-color: var(--primary-color) !important;
}

.mirror {
    color: var(--bg-color) !important;
    background-color: var(--primary-color) !important;
}

.unmirror,
.selected {
    color: var(--primary-color) !important;
    background-color: var(--border-color) !important;
}


.videocanvas-mirror {
    transform: rotateY(180deg);
    -webkit-transform: rotateY(180deg);
    /* Safari and Chrome */
    -moz-transform: rotateY(180deg);
    /*  Firefox */
}

.settings_view,
#keypad_view {
    margin: 15px;
}

.video-container .fullscreen {
    position: relative;
    text-align: center;
    object-fit: contain;
    background-color: var(--border-color);
}

.fullscreen {
    z-index: 999;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
}

#btn-pip {
    position: absolute;
    left: 0px;
    top: 10px;
    border: unset;
    border-radius: 50%;
}

#btn-muted {
    position: absolute;
    left: 0px;
    bottom: 10px;
    border: unset;
    border-radius: 50%;
}

#btn-next {
    position: absolute;
    right: 42%;
    bottom: 10px;
    border: unset;
    border-radius: 50%;
}
#btn-prev {
    position: absolute;
    left: 42%;
    offset-inline-start: 50px;
    bottom: 10px;
    border: unset;
    border-radius: 50%;
}

#remote_lbl {
    position: absolute;
    left: 9%;
    bottom: 25px;
}

#btn-fullscreen {
    position: absolute;
    left: 55px;
    top: 10px;
    border: unset;
    border-radius: 50%;
}

#btn-canvas-mirror {
    position: absolute;
    right: 5px;
    top: 5px;
    font-size: 15px;
}

.vranger {
    -webkit-appearance: slider-vertical;
    /* Override default CSS styles */
    appearance: slider-vertical;
    opacity: 0.7;
    /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s;
    /* 0.2 seconds transition on hover */
    transition: opacity .2s;
    width: 10px;
    height: 100px;
    padding: 0 5px;
    z-index: 100;
    position: absolute;
    bottom: 90%;
    left: 25%;
}

.vranger:hover {
    opacity: 1;
}

.media-controls__button--close {
    background-color: #ff3037;
    font-size: 15px;
}

.media-controls__button--start {
    background-color: var(--primary-color);
    ;
    color: green;
    font-size: 15px;
}

.media-controls__button:hover {
    -webkit-transform: scale(1.1);
    transform: scale(1.1)
}

.media-controls__button--function-disabled {
    opacity: 1%;
    cursor: not-allowed
}

.media-controls__button--microphone {
    background-color: var(--primary-color);
    font-size: 15px;
}

/* .icon {
    position: relative;
    max-width: 100%;
    fill: #fff
}

.icon__close,.icon__microphone {
    padding: .55rem
}

.icon__microphone-muted {
    fill: #333
} */

.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted #000
}

.tooltip .tooltiptext {
    visibility: hidden;
    color: #1d1d1f;
    background-color: grey;
    text-align: center;
    border-radius: 0;
    padding: 5px 10px;
    font-size: 14px;
    line-height: 1.28577;
    font-weight: 400;
    letter-spacing: -.016em;
    font-family: SF Pro Text, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif;
    position: absolute;
    z-index: 1000;
    top: 100%;
    margin-top: 3px;/*10px*/;
    white-space: nowrap;
    overflow: hidden;
    left: 50%; /*100%;*/
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%)
}

span.tooltiptext.upload-file-tooltip {
    transform: translateX(-50%);
}

.tooltip:hover .tooltiptext {
    visibility: visible
}

.disabled {
    pointer-events: none;
}

.local-video-preview {
    height: 250px;
    width: 336px;
    border: solid var(--bg-color);
    border-radius: 0.5rem;
    margin: 15px;
}

.local-video-container {
    border: solid var(--bg-color);
    border-radius: 0.5rem;
    position: fixed;
    bottom: 0;
    right: 0;
    width: 30%;
    height: 30%;
    z-index: 1000;
    margin: 0px;
}

.video-container--video-only video {
    max-height: 480px;
}

@media screen and (max-height: 900px) {
    /* .keypad_view {
        display: none !important;
    } */

    .heading-button {
        padding: 10px 20px;
    }
}
@media screen and (max-height: 720px) {
    .video-container--video-only video {
        max-height: 360px !important;
    }

    .heading-button {
        padding: 10px 7px !important; /*10px 20px !important;*/
    }
}


@media screen and (max-width: 1250px) {
    .left-input-pane {
        display: none;
    }

    .heading-button {
        padding: 10px 20px;
    }
}

@media screen and (max-width: 1200px) {
    .video-container--video-only video {
        max-height: 480px;
    }

    .heading-button {
        padding: 10px 1x !important; /*10px 18px !important;*/
    }

}
@media screen and (max-width: 992px) {
    .video-container--video-only video {
        max-height: 480px;
    }

    .right-status-pane {
        display: none;
        width: 50%;
    }

    .center-main-pane {
        flex: 1;
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .status-controls,
    .media-controls {
        border-radius: 0rem !important;
    }

    .tooltip .tooltiptext:not(.upload-file-tooltip) {
        top: auto;
        bottom: 120% !important;
        left: -9% !important;
        /* bottom: -127% !important;
        left: -63% !important; */
    }
    .setting-tooltip{
        left: 66% !important;
    }

    .heading-button {
        padding: 10px 37px;
    }

    /* aside.media-controls{
        position: absolute;
        width: 100%;
        bottom: 29px;
    } */
    .msger-chat {
        min-height: 48vh;
    }
}
@media screen and (max-width: 768px) {
    .video-container--video-only video {
        max-height: 480px;
    }

    .agent-video__poor-connection-text {
        font-size: 14px
    }

    .settings-container {
        flex-direction: column !important;
    }

    .heading-button {
        padding: 10px 1px !important;
    }

    .text-sm{
        width: 34%!important;
    }

    .delete-header-btn {
        right: 2px !important;
        bottom: 18px !important;
    }

    /* .dropdown{
        min-width: 16px !important;
    } */
    #btn-prev {
        left: 39% !important;
    }
    #btn-next {
        right: 39% !important;
    }

}
@media screen and (max-width: 767px) {
    .right-status-pane {
        width: 88%;
    }
    .msger-chat {
        min-height: 37vh !important
    }
    .div-margin{
        margin-bottom: 34px !important;
    }
    .error-value {
        right: 18% !important;
    }

    .header-margin{
        margin-bottom: 34px !important;
    }
    .header-error-value {
        right: 12% !important;
    }
    /* .circle{
        right: 30px !important;
    } */
}
@media screen and (max-width: 556px) {

    .heading-button {
        padding: 10px 9px !important;
    }

    .text-sm{
        width: 33%!important;
    }

    .delete-header-btn {
        right: 2px !important;
        bottom: 2px !important;
    }

    .div-margin{
        margin-bottom: 34px !important;
    }
    .error-value {
        right: 13% !important;
    }

    .header-margin{
        margin-bottom: 34px !important;
    }
    .header-error-value {
        right: 13% !important;
    }

    #btn-prev {
        left: 35% !important;
    }
    #btn-next {
        right: 35% !important;
    }
}

@media screen and (max-width: 380px) {
    .media-controls__main-content {
        padding: 20px 0px;
    }

    .icon-button .icon {
        display: block;
    }

    .icon-button .icontext {
        display: none;
    }

    .heading-button {
        padding: 10px 20px !important;
    }

    .text-sm{
        width: 33%!important;
    }

    .delete-header-btn {
        right: 2px !important;
        bottom: 16px !important;
    }
    .msger-chat {
        min-height: 37vh !important
    }
    /* .circle{
        right: 30px !important;
    } */
    .media-controls__heading {
        font-size: 15px !important;
    }
    .media-controls__button {
        width: 2.75rem !important;
        height: 2.75rem !important;
    }
}

@media screen and (max-width: 350px) {
    #labelMessageCallConnection {
        display: none;
    }

    .status-controls__main-content,
    .media-controls__main-content {
        padding: 20px 0px;
    }

    .heading-button {
        padding: 10px 1px !important;
    }

    .text-sm{
        width: 33%!important;
    }

    .delete-header-btn {
        right: 2px !important;
        bottom: 16px !important;
    }
    .media-controls__heading {
        font-size: 15px !important;
    }
    .media-controls__button {
        width: 2.7rem !important;
        height: 2.7rem !important;
    }
}

/* .right-status-pane-width{
    display:block;
    height: 100%;
    position: absolute;
    right: 0;
} */

.video-container--top-left {
    top: 1em;
    left: 1em
}

.video-container--top-right {
    top: 1em;
    left: auto;
    right: 1em
}

.video-container--bottom-right {
    top: auto;
    left: auto;
    right: 1em;
    bottom: 1em
}

.video-container--bottom-left {
    top: auto;
    right: auto;
    left: 1rem;
    bottom: 1em
}

.loading-view {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 5;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: #000 !important
}


.modal {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bg-color);
    opacity: 0;
    visibility: hidden;
    transform: scale(1.1);
    z-index: 1000;
    transition: visibility 0s linear 0.25s, opacity 0.25s 0s, transform 0.25s;
}

.modal-container {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 250px;
    transform: translate(-50%, -50%);
    background-color: var(--border-color);
    padding: 1rem 1.5rem;
    width: 24rem;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.modal-container-buttons {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    margin-left: 0;
    list-style: none;
}

.modal-container_button {
    position: relative;
    border-radius: 50%;
    border: 1px solid transparent;
    width: 3.5rem;
    height: 3.5rem;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0px 25px;
    -webkit-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
    cursor: pointer;
    color: var(--primary-color);
}

.modal-container_button--start {
    background-color: green;
    font-size: 20px;
}

.modal-container_button--close {
    background-color: #ff3037;
    font-size: 20px;
}

.modal-title {
    display: block;
    font-size: 22px;
    line-height: 20px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
    padding-bottom: 15px;
}

.modal-title,
.modal-message {
    text-align: center;
}

.show-modal {
    opacity: 1;
    visibility: visible;
    display: block !important;
    transform: scale(1.0);
    transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}

.show-debug {
    opacity: 1;
    visibility: visible;
    display: flex;
    transform: scale(1.0);
    transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
    flex-direction: column;
}

.modal-container {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto
}

@media (min-width:768px) {
    .modal-container {
        width: 750px;
    }
}

@media (min-width:992px) {
    .modal-container {
        width: 970px;
    }
}

@media (min-width:1200px) {
    .modal-container {
        width: 1170px;
    }
}

fieldset {
    border-radius: 8px !important;
    margin-top: 10px !important;
}


.text {
    width: 90%;
    margin: 10px 0px;
    cursor: text;
    border: 1px solid var(--border-color);
    border-radius: 0.5rem;
    height: 25px;
    color: var(--primary-color);
}

.form-control {
    float: right;
    display: block;
    width: 100%;
    height: 24px;
    padding: 6px 12px !important;
    margin: 4px 4px 4px 0px !important;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px var(--border-color);
    border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: gray;
    border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: var(var(--primary-color));
}

.status-content {
    background-color: var(--container-color);
    display: flex;
    flex-direction: column;
    height: 100%;
}

label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    color: var(--primary-color);
}

.radio {
    /* width: 10%;
    margin: 10px 0px;
    cursor: pointer;
    border: 1px solid var(--border-color);
    border-radius: 0.5rem;
    height: 15px;
    color: #000000;
    accent-color: #33ae0b;var(--primary-color); */
    appearance: none;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-clip: content-box;
    padding: 2px;
    margin: 15px 8px -4px 9px;
    background-color: var(--primary-color) !important;
    cursor: pointer;
}

.radio:checked {
    background-color: rgb(0 128 0) !important;
    border: 1px solid rgb(0 128 0) !important;
}

.radio:disabled {
    background-color: rgb(221 221 221 / 80%) !important;
    color: rgb(99, 98, 98) !important;
    border-color: rgba(118, 118, 118, 0.3) !important;
}

.collapsible {
    background-color: var(--bg-color);
    color: var(--primary-color);
    cursor: pointer;
    padding: 12px;
    width: 100%;
    text-align: left;
    font-size: 15px;
    margin-top: 10px;
    border-radius: 8px;
    border-color: var(--border-color);
    border-width: 1px;
    font-family: var(--ag-icon-font-family);
}

.active{
    outline: none;
    border-color: var(--border-color);
    background-color: var(--bg-color);
}
.collapsible:hover,
.collapsible:focus {
    outline: none;
    border-color: var(--border-color);
    background-color: var(--bg-color-2);
}

.collapsible:after {
    content: '\002B';
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.active-heading {
    outline:0;
    border-bottom: none !important;
    background-color: var(--bg-color) !important;
  }

.heading-button{
    cursor: pointer;
    color: var(--primary-color);
    background-color: var(--bg-color);
    font-family: var(--ag-icon-font-family);
    font-size: 16px;
    border-bottom: 1px solid gray;
    border-right: 1px solid gray;
    padding: 10px 6px; /*49px;*/
    margin: 0px -3px;
    width: 48%/*36%;*/
    
}

.content {
    padding: 0 8px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    /* background-color: var(--bg-color); */
  }

  .active:after {
    content: "\2212";
  }

  .rPanelheader{
    display: flex; 
    justify-content: space-between;
  }

  /* Editable Combo box */
#loadFromWebApiSelect  {
    max-height: 65px;
  }

.input-overlap{
    position: relative;
    display: inline-block;
    z-index: 1;
    bottom: 74px;
    cursor: pointer;
    margin: 15px 0px; /*3px*/;
    background: var(--bg-color);
    padding: 8px;
    color: var(--primary-color);
    border: none !important;
    width: 87%;
    left: 1px;
}

.close-settings{
    /* cursor: pointer;
    color: var(--primary-color);
    background-color: var(--container-color);
    font-family: var(--ag-icon-font-family);
    font-size: 16px;
    border: none;
    padding: 10px 7px;
    position:absolute; 
    top:0; 
    right:0; */
    font-size: 20px; 
    cursor: pointer; 
    float:right; 
    margin: 7px -7px;
}

.rPanel-btn{
    background-color: var(--bg-color);
    color: var(--primary-color);
    padding: 6px 13px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
    margin: -2px -7px;
    cursor: pointer;
    border-radius: 0.5rem;
    border-color: var(--bg-color);
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active{
    -webkit-box-shadow: 0 0 0 30px rgb(10, 9, 9) inset !important;
}
input:-webkit-autofill{
    -webkit-text-fill-color: #fff !important;
}
/*----------------------------------Validation CSS-------------------------------------------------*/

.bordered {
    border: 1px solid #f00 !important;
}

.error-msg{
    color:red;
    margin-bottom: 20px;
    display: none;
    font-family: var(--ag-icon-font-family);
    font-size: 13px;
}

.button-spinner {
    position: relative;
    color: #ffffff;
    transition: all 0.2s;
    margin-left: 20px !important;
}
.button--loading::after {
    content: "";
    position: absolute;
    width: 10px !important;
    height: 10px !important;
    /* top: 0;
    left: 0;
    right: 0;
    bottom: 0; */
    /* margin: auto; */
    margin-left: -20px !important;
    border: 4px solid transparent;
    border-top-color: #ffffff;
    border-radius: 50%;
    animation: button-loading-spinner 1s ease infinite;
}

@keyframes button-loading-spinner {
    from {
        transform: rotate(0turn);
    }

    to {
        transform: rotate(1turn);
    }
}

.rPanel-btn-xs {
    /* background-color: var(--bg-color);
    color: var(--primary-color);
    padding: 9px 13px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    margin: 0px 2px;
    cursor: pointer;
    border-radius: 0.5rem;
    border-color: var(--bg-color); */

    background-color: var(--bg-color);
    color: var(--primary-color);
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    margin: 0px 2px;
    cursor: pointer;
    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
    box-sizing: border-box;
    width: 40px;
    height: 40px;
}

.checkbox {
    cursor: pointer;
    border: 1px solid var(--border-color);
    border-radius: 0.5rem;
    color: var(--bg-color);
    accent-color: rgb(0 128 0); /*var(--bg-color-2); */
    margin: 5px 12px;
}

.text-sm{
    flex: 1 1 35%;
    margin: 9px 0px 9px 5px;
    cursor: text;
    border: 1px solid var(--border-color);
    border-radius: 0.5rem;
    height: 40px;
    color: var(--primary-color);
    box-sizing: border-box;
}

.dropdown-sm {
    height: 45px;
    /* min-width: 150px; */
    border-radius: 0.5rem;
    background-color: var(--bg-color);
    color: var(--primary-color);
}

/* ===========SIP INFO Message============= */
/* https://codepen.io/sajadhsm/pen/odaBdd */

  
  .msger, .msger-1 {
    display: flex;
    /* flex-flow: column wrap; */
    justify-content: space-between;
    /* width: 100%; */
    /* max-width: 867px; */
    margin: 10px 5px;
    /* height: calc(100% - 50px); */
    /* border: var(--border); */
    border-radius: 5px;
    /* background: var(--msger-bg); */
    background-color: var(--bg-color);
    color: var(--primary-color);
    /* box-shadow: 0 15px 15px -5px rgba(0, 0, 0, 0.2); */
  }
  
  .msger-chat, .msger-chat-1 {
    flex: 1;
    overflow-y: auto;
    padding: 10px;
    word-break: break-word;
    height:auto;
    min-height: 50vh;
  
    /* flex-grow: 1;   */
    /* overflow: auto;
    overflow-y: scroll; */
  }

  .msger-chat-1{
    min-height: 41vh;
  }
  
  .msger-chat, .msger-chat-1::-webkit-scrollbar {
    width: 5px;
  }
  .msger-chat, .msger-chat-1::-webkit-scrollbar-track {
    background: var(--bg-color);
  }
  .msger-chat, .msger-chat-1::-webkit-scrollbar-thumb {
    background: var(--bg-color);
  }
  
  .msg {
    display: flex;
    align-items: flex-end;
    margin-bottom: 10px;
  }
  .msg:last-of-type {
    margin: 0;
  }
  .msg-img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
    background: #ddd;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 50%;
  }
  .msg-bubble {
    max-width: 70%;
    padding: 10px;
    border-radius: 12px;
    background: var(--left-msg-bg);
  }
  .msg-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2px;
  }
  .msg-info-type {
    margin-right: 5px;
    font-size: 0.75em;
    margin-left: 10px;
    /* font-weight: bold; */
  }
  .msg-info-time {
    font-size: 0.75em;
    color: #716d6d;
  }
  
  .left-msg .msg-bubble {
    border-bottom-left-radius: 0;
  }
  
  .right-msg {
    flex-direction: row-reverse;
  }
  .right-msg .msg-bubble {
    background: var(--right-msg-bg) !important;
    color: #fff;
    border-bottom-right-radius: 0;
  }
  .right-msg .msg-img {
    margin: 0 0 0 10px;
  }

  .kvp-table, .kvp-table-1{
    width: 100%;
  }

  .KVP-input{
    width: 95%;
    line-height: 31px;
    padding: 2px;
  }

  .delete-header-btn{
    /* position: relative; 
    right: -13%;  */
    padding: 0px 8px; 
    display: inline-block; 
    /* float: right; */
    height: 25px;
  }

  .ch-main{
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    align-items: center;
    border-bottom: var(--border)
  }

  .ch-content{
    flex: 1 1 100%;
    border-top: var(--border);
    box-sizing: border-box;
    padding: 10px 0;
    /* margin-top: 10px; */
  }

  .msg-text{
    font-size: 16px; 
    display: flex; 
    justify-content: space-between; 
    align-items: center;
  }

  .span-ch-content{
    display: inline-block; 
    width: 80%;
    word-wrap: break-word; 
    padding: 0px 10px; 
    box-sizing: border-box;
    word-break: break-all;
  }

  .form-input-genesys{
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    align-items: center;
    border-bottom: var(--border)
  }

  .genesys-error-msg{
    width: 100%; 
    position:relative;
  }

  .header-error-msg{
    width: 100%; 
    position:relative;
  }

  .header-error-key{
    position: absolute;
    top: 0px;
    left: 3%;
    width: 43%;
  }

  .header-error-value{
    position: absolute;
    top: 0px;
    right: 17%;
  }

  .error-key{
    position: absolute;
    top: 0px;
    left: 3%;
    width: 45%;
  }

  .error-value{
    position: absolute;
    top: 0px;
    right: 20%;
  }
    
  .div-margin{
    margin-bottom: 20px;
  }

  .header-margin{
    margin-bottom: 30px;
  }

  .chat-heading{
    width: 25%;
  }

  .after-available-heading-button{
    width: 36%;
  }

  .after-call-received{
    width :96% !important;
  }
  
  .chat-count-circle {
    border-radius: 50%;
    width: auto;
    height: 10px;
    padding: 2px 4px 2px 3px;
    background: #ff3037;
    border: 3px solid #000;
    color: var(--light);
    text-align: center;
    font: 9px Arial, sans-serif;
    top: 5px;
    position: absolute;
  }

  /*-----------------------------------------------------Notification CSS--------------------------------------------*/

.notifications {
    position: fixed;
    top: 10px;
    right: 37px;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    z-index: 2;
    font-family: var(--ag-icon-font-family);
    color: #fff;
  }
  .notifications :where(.toast, .column) {
    display: flex;
    align-items: center;
  }
  .notifications .toast {
    width: 90%;
    position: relative;
    overflow: hidden;
    list-style: none;
    border-radius: 4px;
    padding: 6px 37px 7px 31px;
    margin-bottom: 10px;
    background: var(--primary-color);/*var(--bg-color);*/
    justify-content: space-between;
    animation: show_toast 0.3s ease forwards;
    font-family: var(--ag-icon-font-family);
  }

  @keyframes show_toast {
    0% {
      transform: translateX(100%);
    }
    40% {
      transform: translateX(-5%);
    }
    80% {
      transform: translateX(0%);
    }
    100% {
      transform: translateX(-10px);
    }
  }
  .notifications .toast.hide {
    animation: hide_toast 0.3s ease forwards;
  }
  @keyframes hide_toast {
    0% {
      transform: translateX(-10px);
    }
    40% {
      transform: translateX(0%);
    }
    80% {
      transform: translateX(-5%);
    }
    100% {
      transform: translateX(calc(100% + 20px));
    }
  }
  .toast::before {
    position: absolute;
    content: "";
    height: 3px;
    width: 90%;
    bottom: 0px;
    left: 0px;
    animation: progress 5s linear forwards;
    background-color: var(--primary-color);
  }
  @keyframes progress {
    100% {
      width: 0%;
    }
  }
  .success {
    background: var(--success) !important;
  }
  .error {
    background: var(--error) !important;
  }
  .warning {
    background: var(--warning) !important;
  }
  .info{
    background: var(--info) !important;
  }
  .toast .column i {
    font-size: 1.75rem;
  }
  /* .toast.success .column i {
    color: var(--primarycolor);
  }
  .toast.error .column i {
    color: var(--error);
  }
  .toast.warning .column i {
    color: var(--warning);
  }
  .toast.info .column i {
    color: var(--info);
  } */
  .toast .column span {
    font-size: 1.07rem;
    margin-left: 12px;
  }
  .toast i:last-child {
    color: var(--primary-color);
    cursor: pointer;
  }
  .toast i:last-child:hover {
    color: var(--dark);
  }
  
  @media screen and (max-width: 530px) {
    .notifications {
      width: 90%;
    }
    .notifications .toast {
        width: 70%;
        font-size: 1rem;
        margin-left: 74px;
    }
  }

  .toast-column-align{
    position: relative;
    right: 20px;
  }

  .toast-icon-align{
    left: 23px;
    position: relative;
  }

  .target-at{
    text-align: center; 
    margin: 5px;
  }

  .target-number-width{
    width: 45%;;
  }

  .target-error{
    position: relative;
    left: 4px;
    content: "\a";
    white-space: pre;
  }

  .inputs-inline{
    display: flex; 
    align-items: center;
  }

  .pids-wrapper {
    width: 100%;
  }

  .pid {
    width: calc(10% - 4px);
    height: 5px;
    background-color: #e6e7e8;
    display: inline-block;
  }

  .chartCard {
    width: 100vw;
    height: calc(100vh - 40px);
    background: rgba(255, 26, 104, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .chartBox {
    width: 50%;
    height: 30%;
    padding: 20px;
    border-radius: 20px;
    background: white;
    border: solid 3px rgba(255, 26, 104, 1);
  }
